# applicationExtraInfo

Provides additional contextual information for a severity change.

### Examples

```graphql
type ApplicationExtraInfo {
  key: String
  link: String
  snippet: ExtraInfoSnippet
}
```

### Fields

| Field                                                                                                               | Description                                              | Supported fields                                                                                                                                                           |
| ------------------------------------------------------------------------------------------------------------------- | -------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| key `String`                                                                                                        | The key associated with the extra information            |                                                                                                                                                                            |
| link `String`                                                                                                       | A link to further information or context                 |                                                                                                                                                                            |
| snippet [`ExtraInfoSnippet`](/api-documentation/api-reference/api--application/types/objects/extra-info-snippet.md) | A snippet of code or text related to the severity change | <p>detectionType <code>String</code><br>fileName <code>String</code><br>snippetLineNumber <code>Int</code><br>language <code>String</code><br>text <code>String</code></p> |

### References

#### Fields with this object:

* [{} ApplicationSeverityChangedReason.extraInfo](/api-documentation/api-reference/api--application/types/objects/application-severity-changed-reason.md)
* [{} SaasBomItem.extraInfo](/api-documentation/api-reference/api--saas-sbom/types/objects/saas-bom-item.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ox.security/api-documentation/api-reference/api--application/types/objects/application-extra-info.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
